package com.zanxiang.game.data.serve.pojo.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameRankingRechargeGameVO implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long number;

    private String gameId;

    private String gameName;

    private String gameCategory;

    private BigDecimal todayRechargeMoney;

    private BigDecimal todayPurchaseRechargeMoney;

    private BigDecimal todayNatureRechargeMoney;

    /**
     * 默认排名标准
     */
    private BigDecimal totalRechargeMoney;

    private BigDecimal totalPurchaseRechargeMoney;

    private BigDecimal totalNatureRechargeMoney;

    /**
     * 累计充值金额/累计充值次数
     */
    private BigDecimal avgMoney;

    private Long registerPlayer;

    private Long totalRechargePlayer;

    private Long totalRechargeCount;

    private BigDecimal totalCost;

    /**
     * 累计买量充值金额/累计消耗
     */
    private BigDecimal paybackRate;
}
